<template>
  <div>
    <el-table ref="multipleTable" :data="tableData" tooltip-effect="dark" style="width: 100%"
          @selection-change="handleSelectionChange">
          <el-table-column type="selection" width="55" align="center"> </el-table-column>
          <el-table-column  label="操作">
            <template slot-scope="scope">{{ scope.row.jl_type }}</template>
          </el-table-column>
          <el-table-column  prop="jl_user_name" label="操作人" >
          </el-table-column>
          <el-table-column prop="create_dateline" label="操作时间" show-overflow-tooltip>
          </el-table-column>
        </el-table>
  </div>
</template>

<script>
import { common_recode, org_users } from "./itemApi";
import { useUserStore } from "@/stores/user";
const { real_name, dept_ids } = useUserStore();
  export default {
    name: "sh",
  data() {
    return {
      transId: '',
      singleData:'',
      tableData: [],
      multipleSelection: [],
        
    };
  },
  mounted() {
    this.transId = this.$route.params.id
    this.initData();
  },
  methods: {
    initData() {
      let transObj = {
        gw_id: this.transId
      }
      common_recode(transObj)
      .then(res => {
        if (res.code == "1") {
          this.singleData = res.data.data;
          this.tableData = res.data.data;
        }
      })
      .catch(err=>{console.log(err)})
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
  },
  }
</script>

<style scoped>

</style>